io.undertow.util

## Class PooledAdaptor

- java.lang.Object
- - io.undertow.util.PooledAdaptor

All Implemented Interfaces:
  AutoCloseable, org.xnio.Pooled<ByteBuffer>

    public class PooledAdaptor
    extends Object
    implements org.xnio.Pooled<ByteBuffer>

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`PooledAdaptor(PooledByteBuffer buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `discard()`
`void` `free()`
`ByteBuffer` `getResource()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PooledAdaptor

    public PooledAdaptor(PooledByteBuffer buffer)

### Method Detail

#### discard

    public void discard()

Specified by:
  `discard` in interface `org.xnio.Pooled<ByteBuffer>`

#### free

    public void free()

Specified by:
  `free` in interface `org.xnio.Pooled<ByteBuffer>`

#### getResource

    public ByteBuffer getResource()
                           throws IllegalStateException

Specified by:
  `getResource` in interface `org.xnio.Pooled<ByteBuffer>`
Throws:
  `IllegalStateException`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `org.xnio.Pooled<ByteBuffer>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`